Get albums

To find an artist's UUID, use either the Get artist by platform ID or Search artist by name endpoints.

Request

GET /api/v2.34/artist/{uuid}/albums

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required

Query string parameters

Parameter Value Description Additional
type string Filter result album list. Available values are : all, album, single, compil Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional
sortBy string Sort criteria. Available values are : title, releaseDate Optional
sortOrder string Sort order. Available values are : asc, desc Optional

Response

Code Description Resource
200 OK

An Artist album collection response

Album Collection
401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist not found

Explore

An artist UUID

Filter result album list. Available values are : all, album, single, compil

Get results starting from position

Number of results (max. 100)

Sort criteria. Available values are : title, releaseDate

Sort order. Available values are : asc, desc

Try it out